LinuxQuestions.org
Welcome to the most active Linux Forum on the web.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 03-16-2009, 09:02 AM   #1
powah
Member
 
Registered: Mar 2005
Distribution: FC, Gentoo
Posts: 276

Rep: Reputation: 30
OOO 3.0.1 FC6 install error : java-gcj-compat is needed


I have to use the old FC6 instead of the latest Fedora distro.

I downloaded OOO 3.0.1 and untar it.
# cd OOO300_m15_native_packed-1_en-US.9379/RPMS
# rpm -Uvih *rpm
error: Failed dependencies:
java-gcj-compat is needed by (installed) antlr-2.7.6-4jpp.2.i386
/usr/bin/rebuild-gcj-db is needed by (installed) gjdoc-0.7.7-11.i386

# rpm -qi java-gcj-compat
package java-gcj-compat is not installed

# java -version
java version "1.6.0_12"
Java(TM) SE Runtime Environment (build 1.6.0_12-b04)
Java HotSpot(TM) Client VM (build 11.2-b01, mixed mode, sharing)

Should I use JavaSetup.jar in OOO or install java-gcj-compat?

How to use JavaSetup.jar in OOO or install java-gcj-compat?
# yum install java-gcj-compat
Loading "installonlyn" plugin
Setting up Install Process
Setting up repositories
core 100% |=========================| 1.1 kB 00:00
extras 100% |=========================| 1.1 kB 00:00
updates 100% |=========================| 1.2 kB 00:00
Reading repository metadata in from local files
Parsing package install arguments
Nothing to do
 
Old 03-16-2009, 10:27 AM   #2
AlucardZero
Senior Member
 
Registered: May 2006
Location: USA
Distribution: Debian
Posts: 4,824

Rep: Reputation: 615Reputation: 615Reputation: 615Reputation: 615Reputation: 615Reputation: 615
Post the output of rpm -qa | grep java
 
Old 03-16-2009, 10:33 AM   #3
unixmen
Member
 
Registered: Jan 2009
Posts: 39

Rep: Reputation: 16
You need this package :
java-1.4.2-gcj-compat-1.4.2.0-40jpp.110.i386.rpm

or
# yum install java-1.4.2-gcj-compat



Voila
 
Old 03-16-2009, 12:21 PM   #4
powah
Member
 
Registered: Mar 2005
Distribution: FC, Gentoo
Posts: 276

Original Poster
Rep: Reputation: 30
Quote:
Originally Posted by AlucardZero View Post
Post the output of rpm -qa | grep java
# rpm -qa | grep java
libgtk-java-2.8.6-4.fc6
libglade-java-2.12.5-3.fc6
glib-java-0.2.6-3.fc6
java-1.4.2-gcj-compat-1.4.2.0-40jpp.110
libgnome-java-2.12.4-3.fc6
cairo-java-1.0.5-3.fc6
libvte-java-0.12.1-4.fc6
libgconf-java-2.12.4-4.fc6

# rpm -qi java-1.4.2-gcj-compat
Name : java-1.4.2-gcj-compat Relocations: (not relocatable)
Version : 1.4.2.0 Vendor: Red Hat, Inc.
Release : 40jpp.110 Build Date: Tue 10 Oct 2006 02:39:10 PM EDT
Install Date: Wed 07 Jan 2009 11:31:28 AM EST Build Host: hs20-bc1-7.build.redhat.com
Group : Development/Languages Source RPM: java-1.4.2-gcj-compat-1.4.2.0-40jpp.110.src.rpm
Size : 441 License: GPL
Signature : DSA/SHA1, Wed 11 Oct 2006 12:20:07 AM EDT, Key ID b44269d04f2a6fd2
Packager : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL : ftp://sources.redhat.com/pub/rhug/java-gcj-compat
Summary : JPackage runtime scripts for GCJ
Description :
This package installs directory structures, shell scripts and symbolic
links to simulate a JPackage-compatible runtime environment with GCJ.

# rpm -qi java-gcj-compat
package java-gcj-compat is not installed

Please help.
Thanks.

Last edited by powah; 03-17-2009 at 01:56 PM.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Yum error updating Java-1.5.0-gcj-javadoc on FC9 mike@kenny.net Linux - Software 2 05-29-2011 06:19 AM
gcj java compiler problem >> stuck with gnome install espo111 Linux - Newbie 1 09-14-2006 10:58 AM
GCJ, the java compiler daziplqa Programming 18 06-22-2006 01:09 PM
Synaptic Package Manager shows 'java-common' and 'java-gcj-compat' as Installed. swiadek Ubuntu 3 02-12-2006 11:54 AM
Sun Java not GCJ untwisted Linux - Software 6 06-16-2005 04:18 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 06:54 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration